Skip to main content
`Ctrl`+`K`
scipy.sparse.

# vstack

scipy.sparse.vstack(blocks, format=None, dtype=None)

  Stack sparse arrays vertically (row wise)

  Parameters:
    blocks

      sequence of sparse arrays with compatible shapes

    format str, optional

      sparse format of the result (e.g., “csr”) by default an appropriate sparse array format is returned. This choice is subject to change.

    dtype dtype, optional

      The data-type of the output array. If not given, the dtype is determined from that of blocks.

  Returns:
    new_array sparse matrix or array

      If any block in blocks is a sparse array, return a sparse array. Otherwise return a sparse matrix.

      If you want a sparse array built from blocks that are not sparse arrays, use `block(vstack(blocks))` or convert one block e.g. `blocks[0] = csr_array(blocks[0])`.

  See also

  `hstack`

    stack sparse matrices horizontally (column wise)

  Examples

      >>> from scipy.sparse import coo_array, vstack
      >>> A = coo_array([[1, 2], [3, 4]])
      >>> B = coo_array([[5, 6]])
      >>> vstack([A, B]).toarray()
      array([[1, 2],
             [3, 4],
             [5, 6]])